technical_sequences:
  open:
    name: Séquence open
    business_action: open
    actions:
    - selector_type: xpath
      selector_value: (//ng-select[@id='metaSearchInput']/div/div/div[2]/input)[1]
      action_type: check_exist
      timeout: 30
      field_name: Recherche
    - selector_type: xpath
      selector_value: (//ng-select[@id='metaSearchInput']/div/div/div[2]/input)[1]
      action_type: click
      timeout: 10
      field_name: Recherche
    - selector_type: xpath
      selector_value: //span[contains(.,'Récupérer')]
      action_type: click
      timeout: 10
      field_name: Recuperer PNR
    - selector_type: xpath
      selector_value: (//ng-select[@id='metaSearchInput']/div/div/div[2]/input)[1]
      action_type: send_keys
      timeout: 10
      field_name: Recherche
      value: '{pnr}'
    - selector_type: xpath
      selector_value: (//ng-select[@id='metaSearchInput']/div/div/div[2]/input)[1]
      action_type: send_keys_enter
      timeout: 10
      field_name: Recherche
    - selector_type: xpath
      selector_value: (//div[@id='e6task-title-with-SL']/ng-component/ama-task-title/nav/div/span)[1]
      action_type: check_value
      timeout: 10
      field_name: Titre
      value: '{pnr}'
    - selector_type: xpath
      selector_value: (//div[@id='ngb-nav-0-panel']/ama-product-basket/ama-product/div/div)[1]
      action_type: text
      timeout: 2
      field_name: Ticket detail
    - selector_type: xpath
      selector_value: (//input[@type='checkbox'])[3]
      action_type: click
      timeout: 2
  read:
    name: Séquence read
    business_action: read
    actions:
    - selector_type: xpath
      selector_value: //button[contains(.,'Conditions tarifaires complètes')]
      action_type: check_exist
      timeout: 10
    - selector_type: xpath
      selector_value: //button[contains(.,'Conditions tarifaires complètes')]
      action_type: click
      timeout: 10
    - selector_type: id
      selector_value: s2display-fare-conditions
      action_type: click
      timeout: 10
    - selector_type: xpath
      selector_value: //button[contains(.,'Remboursements volontaires')]
      action_type: click
      timeout: 10
      field_name: Remboursements
    - selector_type: wait
      selector_value: wait
      action_type: wait
      timeout: 2
      field_name: Wait
    - selector_type: css selector
      selector_value: .mnr-container
      action_type: text
      timeout: 2
      field_name: Conditions de remboursement fr
    - selector_type: css selector
      selector_value: .fare-conditions-container
      action_type: text
      timeout: 2
      field_name: Conditions de remboursement
    - selector_type: xpath
      selector_value: //button[contains(.,'Modifications volontaires')]
      action_type: click
      timeout: 2
      field_name: Modifications
    - selector_type: wait
      selector_value: wait
      action_type: wait
      timeout: 2
      field_name: Wait
    - selector_type: css selector
      selector_value: .mnr-container
      action_type: text
      timeout: 2
      field_name: Conditions de modification fr
    - selector_type: css selector
      selector_value: .fare-conditions-container
      action_type: text
      timeout: 2
      field_name: Conditions de modification
    - selector_type: xpath
      selector_value: //button[contains(.,'Remises enfant')]
      action_type: click
      timeout: 2
      field_name: Remises enfant
    - selector_type: wait
      selector_value: wait
      action_type: wait
      timeout: 2
      field_name: Wait
    - selector_type: css selector
      selector_value: .fare-conditions-container
      action_type: text
      timeout: 2
      field_name: Conditions de remises enfant
    - selector_type: xpath
      selector_value: //button[contains(.,'Pénalités')]
      action_type: click
      timeout: 2
      field_name: Pénalités
    - selector_type: wait
      selector_value: wait
      action_type: wait
      timeout: 2
      field_name: Wait
    - selector_type: css selector
      selector_value: .fare-conditions-container
      action_type: text
      timeout: 2
      field_name: Conditions de pénalités
    - selector_type: css selector
      selector_value: .modal-header > .btn-close
      action_type: click
      timeout: 10
      field_name: close
  price:
    name: Séquence price
    business_action: price
    actions:
    - selector_type: xpath
      selector_value: //a[contains(.,'Détails')]
      action_type: check_exist
      timeout: 10
      field_name: Lien
    - selector_type: xpath
      selector_value: //a[contains(.,'Détails')]
      action_type: click
      timeout: 2
      field_name: Lien
    - selector_type: wait
      selector_value: wait
      action_type: wait
      timeout: 5
      field_name: Wait
    - selector_type: id
      selector_value: salesDetailsTabContent
      action_type: check_exist
      timeout: 10
      field_name: sales details
    - selector_type: id
      selector_value: taoPriceDetailsTableContainer
      action_type: check_exist
      timeout: 2
      field_name: price details
    - selector_type: xpath
      selector_value: (//span[@id='expandBaseFares']/a)[1]
      action_type: click
      timeout: 2
    - selector_type: xpath
      selector_value: (//span[@id='expandTaxes']/a)[1]
      action_type: click
      timeout: 2
    - selector_type: id
      selector_value: salesDetailsTabContent
      action_type: text
      timeout: 2
      field_name: sales details
    - selector_type: id
      selector_value: taoPriceDetailsTableContainer
      action_type: text
      timeout: 2
      field_name: price details
    - selector_type: xpath
      selector_value: //button[contains(.,'Mise à jour')]
      action_type: click
      timeout: 10
      field_name: close
  issue:
    name: Séquence issue
    business_action: issue
    actions:
    - selector_type: xpath
      selector_value: //button[contains(.,'Émission')]
      action_type: check_exist
      timeout: 10
    - selector_type: xpath
      selector_value: //button[contains(.,'Émission')]
      action_type: click
      timeout: 10
      field_name: Emission
    - selector_type: css selector
      selector_value: .col-pax:nth-child(2)
      action_type: text
      timeout: 2
      field_name: Passager
    - selector_type: css selector
      selector_value: .col-status
      action_type: text
      timeout: 2
      field_name: Etat
    - selector_type: css selector
      selector_value: .col-description
      action_type: text
      timeout: 2
      field_name: Description
    - selector_type: css selector
      selector_value: .col-direct-issuance
      action_type: text
      timeout: 2
      field_name: Emission directe
    - selector_type: xpath
      selector_value: //button[contains(.,'Émission')]
      action_type: click
      timeout: 2
      field_name: Emission
    - selector_type: css selector
      selector_value: .alert
      action_type: text
      timeout: 3
      field_name: Message emission
    - selector_type: xpath
      selector_value: //button[contains(.,'Fermer')]
      action_type: click
      timeout: 2
      field_name: Annuler
  office_id:
    name: Séquence office_id
    business_action: office_id
    actions:
    - selector_type: id
      selector_value: navbar_desktop_toolbar_new
      action_type: click
      timeout: 10
      field_name: Click Nouvelle page de commande
    - selector_type: wait
      selector_value: wait
      action_type: wait
      timeout: 1
      field_name: Wait
    - selector_type: xpath
      selector_value: (//textarea[@id='cryptics{i}_cmd_shellbridge_shellWindow_top_left_modeString_cmdPromptInput'])[1]
      action_type: dynamic_send_keys
      timeout: 10
      field_name: Recuperer office id
      value: PV/{office_id}
    - selector_type: wait
      selector_value: wait
      action_type: wait
      timeout: 1
      field_name: Wait
    - selector_type: xpath
      selector_value: //*[starts-with(@id, 'cryptics') and contains(@id, 'cmd_shellbridge_shellWindow_top_left_modeString_command')]
      action_type: check_value
      timeout: 10
      field_name: Check pnr
      value: '{office_id}'
  load_pnr:
    name: Séquence load_pnr
    business_action: load_pnr
    actions:
    - selector_type: id
      selector_value: navbar_desktop_toolbar_new
      action_type: click
      timeout: 10
      field_name: Click Nouvelle page de commande
    - selector_type: wait
      selector_value: wait
      action_type: wait
      timeout: 1
      field_name: Wait
    - selector_type: xpath
      selector_value: (//textarea[@id='cryptics{i}_cmd_shellbridge_shellWindow_top_left_modeString_cmdPromptInput'])[1]
      action_type: dynamic_send_keys
      timeout: 10
      field_name: Recuperer PNR
      value: RT{pnr}
    - selector_type: wait
      selector_value: wait
      action_type: wait
      timeout: 1
      field_name: Wait
    - selector_type: xpath
      selector_value: //*[starts-with(@id, 'cryptics') and contains(@id, 'cmd_shellbridge_shellWindow_top_left_modeString_command')]
      action_type: check_value
      timeout: 10
      field_name: Check pnr
      value: '{pnr}'
    - selector_type: wait
      selector_value: wait
      action_type: wait
      timeout: 1
      field_name: Wait
    - selector_type: xpath
      selector_value: (//textarea[@id='cryptics{i}_cmd_shellbridge_shellWindow_top_left_modeString_cmdPromptInput'])[1]
      action_type: dynamic_send_keys
      timeout: 10
      field_name: Ajouter remarque
      value: 'RM*DATE UPDATE : {operation_date}*'
    - selector_type: wait
      selector_value: wait
      action_type: wait
      timeout: 3
      field_name: Wait
    - selector_type: xpath
      selector_value: //*[starts-with(@id, 'cryptics') and contains(@id, 'cmd_shellbridge_shellWindow_top_left_modeString_command')]
      action_type: check_value
      timeout: 10
      field_name: Check pnr
      value: '{pnr}'
    - selector_type: wait
      selector_value: wait
      action_type: wait
      timeout: 1
      field_name: Wait
    - selector_type: xpath
      selector_value: (//textarea[@id='cryptics{i}_cmd_shellbridge_shellWindow_top_left_modeString_cmdPromptInput'])[1]
      action_type: dynamic_send_keys
      timeout: 10
      field_name: Ajouter remarque
      value: RFCT;ER
    - selector_type: wait
      selector_value: wait
      action_type: wait
      timeout: 1
      field_name: Wait
    - selector_type: xpath
      selector_value: (//textarea[@id='cryptics{i}_cmd_shellbridge_shellWindow_top_left_modeString_cmdPromptInput'])[1]
      action_type: dynamic_send_keys
      timeout: 10
      field_name: Ajouter remarque
      value: ER
  issue_pnr:
    name: Séquence issue_pnr
    business_action: void_ticket
    actions:
    - selector_type: id
      selector_value: navbar_desktop_toolbar_new
      action_type: click
      timeout: 10
      field_name: Click Nouvelle page de commande
    - selector_type: wait
      selector_value: wait
      action_type: wait
      timeout: 1
      field_name: Wait
    - selector_type: xpath
      selector_value: (//textarea[@id='cryptics{i}_cmd_shellbridge_shellWindow_top_left_modeString_cmdPromptInput'])[1]
      action_type: dynamic_send_keys
      timeout: 10
      field_name: Recuperer PNR
      value: RT{pnr}
    - selector_type: wait
      selector_value: wait
      action_type: wait
      timeout: 1
      field_name: Wait
    - selector_type: xpath
      selector_value: //*[starts-with(@id, 'cryptics') and contains(@id, 'cmd_shellbridge_shellWindow_top_left_modeString_command')]
      action_type: check_value
      timeout: 10
      field_name: Check pnr
      value: '{pnr}'
    - selector_type: wait
      selector_value: wait
      action_type: wait
      timeout: 1
      field_name: Wait
    - selector_type: xpath
      selector_value: (//textarea[@id='cryptics{i}_cmd_shellbridge_shellWindow_top_left_modeString_cmdPromptInput'])[1]
      action_type: dynamic_send_keys
      timeout: 10
      field_name: Ajouter remarque
      value: '{command_user}'
    - selector_type: wait
      selector_value: wait
      action_type: wait
      timeout: 3
      field_name: Wait
    - selector_type: xpath
      selector_value: //*[starts-with(@id, 'cryptics') and contains(@id, 'cmd_shellbridge_shellWindow_top_left_modeString_command')]
      action_type: check_value
      timeout: 10
      field_name: Check pnr
      value: '{pnr}'
  void_ticket:
    name: Séquence void_ticket
    business_action: void_ticket
    actions:
    - selector_type: id
      selector_value: navbar_desktop_toolbar_new
      action_type: click
      timeout: 10
      field_name: Click Nouvelle page de commande
    - selector_type: wait
      selector_value: wait
      action_type: wait
      timeout: 1
      field_name: Wait
    - selector_type: xpath
      selector_value: (//textarea[@id='cryptics{i}_cmd_shellbridge_shellWindow_top_left_modeString_cmdPromptInput'])[1]
      action_type: dynamic_send_keys
      timeout: 10
      field_name: Recuperer PNR
      value: TWD/TKT{ticket}
    - selector_type: wait
      selector_value: wait
      action_type: wait
      timeout: 1
      field_name: Wait
    - selector_type: xpath
      selector_value: //*[starts-with(@id, 'cryptics') and contains(@id, 'cmd_shellbridge_shellWindow_top_left_modeString_command')]
      action_type: check_value
      timeout: 10
      field_name: Check pnr
      value: '{ticket}'
    - selector_type: wait
      selector_value: wait
      action_type: wait
      timeout: 1
      field_name: Wait
    - selector_type: xpath
      selector_value: (//textarea[@id='cryptics{i}_cmd_shellbridge_shellWindow_top_left_modeString_cmdPromptInput'])[1]
      action_type: dynamic_send_keys
      timeout: 10
      field_name: Ajouter remarque
      value: '{command_user}'
    - selector_type: wait
      selector_value: wait
      action_type: wait
      timeout: 3
      field_name: Wait
    - selector_type: xpath
      selector_value: //*[starts-with(@id, 'cryptics') and contains(@id, 'cmd_shellbridge_shellWindow_top_left_modeString_command')]
      action_type: check_value
      timeout: 10
      field_name: Check pnr
      value: '{ticket}'
  exit:
    name: Séquence exit
    business_action: exit
    actions:
    - selector_type: css selector
      selector_value: '[data-test-id="close-title-button"]'
      action_type: click
      timeout: 10
      field_name: Fermer commande
    - selector_type: xpath
      selector_value: //label[contains(.,'Ignorer et fermer')]
      action_type: click
      timeout: 2
      field_name: Click Ignorer et fermer
    - selector_type: xpath
      selector_value: (//button[@id='epnrRetrieves{i}_eotPanel_okBtn_id']/span[2]/strong)[1]
      action_type: dynamic_click
      timeout: 2
      field_name: Confirmer
